USE [AdventureworksDW2016CTP3]
GO

CREATE procedure [dbo].[DimCustomerMasked]  (@CustName nvarchar(max))
as
EXECUTE AS USER = 'user2_nologin'
exec ('SELECT        CustomerKey
	, GeographyKey
	, CustomerAlternateKey
	, Title
	, '+@CustName+' CustomerName
	, NameStyle
	, BirthDate
	, MaritalStatus
	, Suffix
	, Gender
	, EmailAddress
	, YearlyIncome
	, TotalChildren
	, NumberChildrenAtHome
	, HouseOwnerFlag
	, NumberCarsOwned
	, AddressLine1
	, AddressLine2
	, Phone
	, DateFirstPurchase
	, CommuteDistance
FROM            DimCustomer')
REVERT


GO